searchData={"items":[{"type":"module","title":"MbtaMetro","doc":"A Phoenix LiveView component library.","ref":"MbtaMetro.html"},{"type":"module","title":"MbtaMetro.Live.DatePicker","doc":"A live component that renders a date picker using Flatpickr.\n\nYou must pass in the following assigns:\n\n  * `:field` - A form field struct retrieved from a form, for example: @form[:datetime].\n\nYou can optionally pass in a `:config` map:\n  * `:default_date` - The default date that should be selected.\n  * `:enable_time` - A boolean that determines if the time picker should be enabled.\n  * `:max_date` - The maximum date that can be selected.\n  * `:min_date` - The minimum date that can be selected.","ref":"MbtaMetro.Live.DatePicker.html"},{"type":"function","title":"MbtaMetro.Live.DatePicker.handle_event/3","doc":"When we get an event to set the dateime, we push the event to the socket.\nThis will be picked up by the Hook.","ref":"MbtaMetro.Live.DatePicker.html#handle_event/3"},{"type":"function","title":"MbtaMetro.Live.DatePicker.mount/3","doc":"","ref":"MbtaMetro.Live.DatePicker.html#mount/3"},{"type":"function","title":"MbtaMetro.Live.DatePicker.render/1","doc":"Renders the date picker component.","ref":"MbtaMetro.Live.DatePicker.html#render/1"},{"type":"module","title":"MbtaMetro.Live.Map","doc":"A live component that renders a map using [Stadia](https://stadiamaps.com).\n\nYou must pass in the following assigns:\n\n  * `:api_key` - The AWS Location Service API key.\n\nYou can optionally pass in the following assigns:\n\n  * `:class` - The CSS classes to apply to the map container. You'll most likely want to set the height and width of the map here.\n  * `:click_handler` - A boolean indicating whether to handle map clicks.\n\nIf `:click_handler` is `true`, the component will send a `map-clicked` event to the parent live view when the map is clicked.","ref":"MbtaMetro.Live.Map.html"},{"type":"function","title":"MbtaMetro.Live.Map.mount/3","doc":"","ref":"MbtaMetro.Live.Map.html#mount/3"},{"type":"function","title":"MbtaMetro.Live.Map.render/1","doc":"Renders the map component.","ref":"MbtaMetro.Live.Map.html#render/1"},{"type":"task","title":"mix mbta_metro.export_assets","doc":"Exports assets to the priv/static directory","ref":"Mix.Tasks.MbtaMetro.ExportAssets.html"},{"type":"task","title":"mix mbta_metro.update_assets","doc":"Updates the assets of MbtaMetro based on the version","ref":"Mix.Tasks.MbtaMetro.UpdateAssets.html"},{"type":"task","title":"mix mbta_metro.version","doc":"Update the version of MbtaMetro","ref":"Mix.Tasks.MbtaMetro.Version.html"},{"type":"extras","title":"MBTA METRO","doc":"# MBTA METRO\n\n[![hex version](https://img.shields.io/hexpm/v/mbta_metro.svg)](https://hex.pm/packages/mbta_metro)\n[![npm version](https://badge.fury.io/js/mbta_metro.svg)](https://badge.fury.io/js/mbta_metro)\n\nThis package contains function components, live components, and default styles.\n\nTo demo all of the `mbta_metro` components:\n\n```\n%> npm install --prefix assets\n%> mix deps.get\n%> mix phx.server\n```\n\nNow you can visit [`http://localhost:4000`](http://localhost:4000/storybook) from your browser.","ref":"readme.html"},{"type":"extras","title":"Installation - MBTA METRO","doc":"","ref":"readme.html#installation"},{"type":"extras","title":"Install Tailwind - MBTA METRO","doc":"If you have a clean, recent installation of Phoenix, you should already have Tailwind installed.\nIf not, you can follow [this guide](https://tailwindcss.com/docs/guides/phoenix).","ref":"readme.html#install-tailwind"},{"type":"extras","title":"Install MBTA METRO - MBTA METRO","doc":"Add this to your `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:mbta_metro, \">= 0.0.0\"}\n  ]\nend\n```\n\nIf this is your first time using `mbta_metro`, copy its fonts into your project's static directory:\n\n```\n%> mix mbta_metro.install_fonts\n```\n\nImport `mbta_metro`'s styles in your `assets/css/app.css`:\n\n```css\n@import \"../../deps/mbta_metro/priv/static/assets/default.css\";\n```\n\nMake sure your assets are in line with the hex version of `mbta_metro`:\n\n```\n%> mix mbta_metro.update_assets\n```\n\nYou can then use some defaults in your `assets/tailwind.config.js`:\n\n```js\nconst {colors, content, fontFamily, plugins, safelist} = require(\"mbta_metro\")\n\nmodule.exports = {\n  content: [\n    ...content,\n  ],\n  safelist: [\n    ...safelist,\n  ],\n  plugins: [\n    ...plugins(), // Note that this is a function\n  ],\n  theme: {\n    extend: {\n      colors: {\n        ...colors\n      }\n    },\n    fontFamily: {\n      ...fontFamily,\n    },\n  }\n}\n```\n\nIf you want to use `mbta_metro`'s LiveComponents, you'll need to add its hooks in your `assets/js/app.js`:\n\n```js\nimport {Hooks} from \"mbta_metro\"\n\nlet liveSocket = new LiveSocket(\"/live\", Socket, {\n  hooks: {\n    ...Hooks\n  }\n})\n```\n\nIf you want to include hooks individually, you can do so:\n\n```js\nimport {Map} from \"mbta_metro\"\n\nlet liveSocket = new LiveSocket(\"/live\", Socket, {\n  hooks: {\n    Map\n  }\n})\n```","ref":"readme.html#install-mbta-metro"},{"type":"extras","title":"LiveComponents - MBTA METRO","doc":"Some components, like the Map, take further configuration.\n\n#### Map\n\n```elixir\nconfig :mbta_metro, :map, api_key: System.get_env(\"MBTA_METRO_MAP_API_KEY\")\n```\n\nYou'll also have to add the following to your CSP (assuming you have one):\n\n```elixir\n[\n  \"child-src blob: ;\",\n  \"connect-src *.stadiamaps.com\",\n  \"worker-src blob: ;\"\n]\n```","ref":"readme.html#livecomponents"},{"type":"extras","title":"Publishing - MBTA METRO","doc":"You can publish a new release with a single script:\n\n```\n%> ./release\nPlease enter a release level [patch | minor | major]: patch\n...\n```","ref":"readme.html#publishing"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}